#!/bin/sh
#
# Copyright (c) 2013 Netgear, Inc.
# All rights reserved
#
# AT port over TCP (AToTCP)
#
#

# Detection will depend on NV/DX setting, for now use USB as a hint
# On 9x25 smd7 and smd11 work (DATA1 and DATA11)
if [ `/usr/bin/ud_getusbinfo COMPSTR` == MHS68E2 ];
then
 ATPORT="/dev/smd11"
else
 ATPORT="/dev/smd7"
fi

TCPPORT=5510

while [ 1 ]; do
 # TCP server bind config
 # bind to gw address - internal address, so we are unreachable over
 # WWAN interface.
 TCPSRV=`dx router.GwIpAddr`:${TCPPORT}

 echo "AToTCP bound to ${TCPSRV}, Interface: LAN"  > /dev/kmsg
 
 START=`date +%s`
 nc -l ${TCPSRV} >${ATPORT} <${ATPORT}
 END=`date +%s`
 
 # If start and end are within the same second, delay restart to avoid
 # hogging CPU for restarts.
 if [ ${START} -eq ${END} ] ; 
 then 
   echo "Fast AT port server restart" >/dev/kmsg
   sleep 5;
 fi
done
